{{- if .Values.metrics.serviceMonitor.enabled }}
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  name: {{ include "powerdns.fullname" . }}
  labels:
    {{- include "powerdns.labels" . | nindent 4 }}
spec:
  selector:
    matchLabels:
      {{- include "powerdns.selectorLabels" . | nindent 6 }}
  endpoints:
  - port: metrics
    path: /metrics
{{- end }}
